Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPFault

    java.lang.Object
      |
      +--org.apache.axis.message.MessageElement
            |
            +--org.apache.axis.message.SOAPBodyElement
                  |
                  +--org.apache.axis.message.SOAPFault

All Implemented Interfaces:
  Node, java.io.Serializable, SOAPBodyElement, SOAPElement, SOAPFault

Direct Known Subclasses:
  Detail

public class SOAPFault
extends SOAPBodyElement
implements SOAPFault

A Fault body element.

Author:
  Sam Ruby (rubys@us.ibm.com), Glen Daniels (gdaniels@macromedia.com), Tom Jordahl (tomj@macromedia.com)
See Also:
  Serialized Form

Inner classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Field Summary
`protected AxisFault` | `fault`

Fields inherited from class org.apache.axis.message.MessageElement
`_isDirty, _isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, log, message, name, namespaces, namespaceURI, parent, prefix, qNameAttrs, recorder, startContentsIndex, startEventIndex, textRep, typeQName`

Constructor Summary
`SOAPFault(AxisFault fault)`
`SOAPFault(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attrs, DeserializationContext context)`

Method Summary
`Detail` | `addDetail()` Creates a `Detail` object and sets it as the `Detail` object for this `SOAPFaultException` object.
`Detail` | `getDetail()` Returns the detail element for this `SOAPFaultException` object.
`AxisFault` | `getFault()`
`java.lang.String` | `getFaultActor()` Gets the fault actor for this `SOAPFaultException` object.
`java.lang.String` | `getFaultCode()` Gets the fault code for this `SOAPFaultException` object.
`java.lang.String` | `getFaultString()` Gets the fault string for this `SOAPFaultException` object.
`void` | `outputImpl(SerializationContext context)` Subclasses can override
`void` | `setFault(AxisFault fault)`
`void` | `setFaultActor(java.lang.String faultActor)` Sets this `SOAPFaultException` object with the given fault actor.
`void` | `setFaultCode(java.lang.String faultCode)` Sets this `SOAPFaultException` object with the given fault code.
`void` | `setFaultString(java.lang.String faultString)` Sets the fault string for this `SOAPFaultException` object to the given string.

Methods inherited from class org.apache.axis.message.SOAPBodyElement
`detachNode, setParentElement`

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, getAllAttributes, getAsDocument, getAsDOM, getAttributes, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildren, getCompleteAttributes, getElementName, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getObjectValue, getParentElement, getPrefix, getPrefix, getQName, getRealElement, getRecorder, getType, getValue, getValueAsType, isDirty, isRoot, makeAttributesEditable, output, publishContents, publishToHandler, recycleNode, removeAttribute, removeChild, removeNamespaceDeclaration, setAttribute, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setObjectValue, setPrefix, setQName, setRecorder, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, removeAttribute, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement`

Field Detail

### fault

    protected AxisFault fault

Constructor Detail

### SOAPFault

    public SOAPFault(java.lang.String namespace,
                     java.lang.String localName,
                     java.lang.String prefix,
                     org.xml.sax.Attributes attrs,
                     DeserializationContext context)

### SOAPFault

    public SOAPFault(AxisFault fault)

Method Detail

### outputImpl

    public void outputImpl(SerializationContext context)
                    throws java.io.IOException

  Description copied from class: `MessageElement`
  Subclasses can override
  Overrides:
    `outputImpl` in class `MessageElement`

### getFault

    public AxisFault getFault()

### setFault

    public void setFault(AxisFault fault)

### setFaultCode

    public void setFaultCode(java.lang.String faultCode)
                      throws SOAPException

  Sets this `SOAPFaultException` object with the given fault code.

  Fault codes, which given information about the fault, are defined in the SOAP 1.1 specification.

  Specified by:
    `setFaultCode` in interface `SOAPFault`
  Parameters:
    `faultCode` - a `String` giving the fault code to be set; must be one of the fault codes defined in the SOAP 1.1 specification
  Throws:
    `SOAPException` - if there was an error in adding the `faultCode` to the underlying XML tree.

### getFaultCode

    public java.lang.String getFaultCode()

  Gets the fault code for this `SOAPFaultException` object.
  Specified by:
    `getFaultCode` in interface `SOAPFault`
  Returns:
    a `String` with the fault code

### setFaultActor

    public void setFaultActor(java.lang.String faultActor)
                       throws SOAPException

  Sets this `SOAPFaultException` object with the given fault actor.

  The fault actor is the recipient in the message path who caused the fault to happen.

  Specified by:
    `setFaultActor` in interface `SOAPFault`
  Parameters:
    `faultActor` - a `String` identifying the actor that caused this `SOAPFaultException` object
  Throws:
    `SOAPException` - if there was an error in adding the `faultActor` to the underlying XML tree.

### getFaultActor

    public java.lang.String getFaultActor()

  Gets the fault actor for this `SOAPFaultException` object.
  Specified by:
    `getFaultActor` in interface `SOAPFault`
  Returns:
    a `String` giving the actor in the message path that caused this `SOAPFaultException` object
  See Also:
    `setFaultActor(java.lang.String)`

### setFaultString

    public void setFaultString(java.lang.String faultString)
                        throws SOAPException

  Sets the fault string for this `SOAPFaultException` object to the given string.
  Specified by:
    `setFaultString` in interface `SOAPFault`
  Parameters:
    `faultString` - a `String` giving an explanation of the fault
  Throws:
    `SOAPException` - if there was an error in adding the `faultString` to the underlying XML tree.
  See Also:
    `getFaultString()`

### getFaultString

    public java.lang.String getFaultString()

  Gets the fault string for this `SOAPFaultException` object.
  Specified by:
    `getFaultString` in interface `SOAPFault`
  Returns:
    a `String` giving an explanation of the fault

### getDetail

    public Detail getDetail()

  Returns the detail element for this `SOAPFaultException` object.

  A `Detail` object carries application-specific error information related to `SOAPBodyElement` objects.

  Specified by:
    `getDetail` in interface `SOAPFault`
  Returns:
    a `Detail` object with application-specific error information

### addDetail

    public Detail addDetail()
                     throws SOAPException

  Creates a `Detail` object and sets it as the `Detail` object for this `SOAPFaultException` object.

  It is illegal to add a detail when the fault already contains a detail. Therefore, this method should be called only after the existing detail has been removed.

  Specified by:
    `addDetail` in interface `SOAPFault`
  Returns:
    the new `Detail` object
  Throws:
    `SOAPException` - if this `SOAPFaultException` object already contains a valid `Detail` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.